const Git = require("simple-git");
const inquirer = require("inquirer");
const report = require("yurnalist");
const _ = require("lodash");
const fp = require("lodash/fp");

const myGit = require("../branches");
const log = require("../log");

module.exports = async (yargs) => {
  if (!(await myGit.isClean())) {
    log.error("workspace not clean, aborting");
  }

  const current = await myGit.currentBranch();

  log.success(`W00t! marking branch '${current}' as done\n`);

  await Git().addConfig(`branch.${current}.mikado-done`, true);

  log.info(
    "upstreams to merge with:",
    await Git()
      .getConfig(`branch.${current}.mikado-upstream`)
      .then(fp.get("values"))
      .then((x) => x.join(", "))
  );
};
